Package org.jboss.logmanager

# Interface Configurator

All Known Implementing Classes:
  `PropertyConfigurator`

public interface Configurator
A configurator for a log manager or context.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Logger.AttachmentKey<Configurator>`
`ATTACHMENT_KEY`
The attachment key of the chosen configurator, used to maintain a strong ref to any configured properties.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(InputStream inputStream)`
Configure the logmanager.

## Field Details

### ATTACHMENT_KEY

static final Logger.AttachmentKey<Configurator> ATTACHMENT_KEY
The attachment key of the chosen configurator, used to maintain a strong ref to any configured properties.

## Method Details

### configure

void configure(InputStream inputStream) throws IOException
Configure the logmanager.

Parameters:
  `inputStream` - the input stream to read
Throws:
  `IOException` - if an error occurs